=== debian/control ===
Source: ros-indigo-rospilot
Section: misc
Priority: extra
Maintainer: Christopher Berner <christopherberner@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgphoto2-dev, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rospilot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvlc5, python-cherrypy3, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-rosbridge-suite, ros-indigo-roslaunch, ros-indigo-rospilot-deps, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, vlc-nox
Description: rospilot
